summaryrefslogtreecommitdiff
path: root/.gitlab
diff options
context:
space:
mode:
authorBen Gamari <ben@smart-cactus.org>2019-03-05 16:41:55 -0500
committerMarge Bot <ben+marge-bot@smart-cactus.org>2019-03-19 23:04:18 -0400
commit71648c35ad243396433d017da9ce18bea603d1ce (patch)
treefc462caf1c9356dc7e4cb1ef3738cd9aeee6f004 /.gitlab
parentacf2129d49989071e296634711e3f4d9ebed6ee0 (diff)
downloadhaskell-71648c35ad243396433d017da9ce18bea603d1ce.tar.gz
gitlab-ci: Implement support for i386/Windows bindists
Diffstat (limited to '.gitlab')
-rw-r--r--.gitlab/win32-init.sh14
1 files changed, 13 insertions, 1 deletions
diff --git a/.gitlab/win32-init.sh b/.gitlab/win32-init.sh
index dce9be8d16..aacb6d7af6 100644
--- a/.gitlab/win32-init.sh
+++ b/.gitlab/win32-init.sh
@@ -10,7 +10,19 @@ if [ -d "`pwd`/cabal-cache" ]; then
fi
if [ ! -e $toolchain/bin/ghc ]; then
- curl https://downloads.haskell.org/~ghc/$GHC_VERSION/ghc-$GHC_VERSION-x86_64-unknown-mingw32.tar.xz | tar -xJ
+ case $MSYSTEM in
+ MINGW32)
+ triple="i386-unknown-mingw32"
+ ;;
+ MINGW64)
+ triple="x86_64-unknown-mingw32"
+ ;;
+ *)
+ echo "win32-init: Unknown MSYSTEM $MSYSTEM"
+ exit 1
+ ;;
+ esac
+ curl https://downloads.haskell.org/~ghc/$GHC_VERSION/ghc-$GHC_VERSION-$triple.tar.xz | tar -xJ
mv ghc-$GHC_VERSION toolchain
fi